Index: src/other/tk/CMakeLists.txt
===================================================================
--- src/other/tk/CMakeLists.txt	(revision 54114)
+++ src/other/tk/CMakeLists.txt	(working copy)
@@ -37,39 +37,39 @@
 # *******************************************************************
 
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # set CMake project name
-PROJECT(TK)
+project(TK)
 
 # Without Tcl libraries AND sources, we can't build Tk.  Use TCL_SRC_PREFIX
 # and TCL_BIN_PREFIX to identify the location of the Tcl we are to use.
-IF(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
-  SET(TCL_INCLUDE_DIRS ${TCL_SRC_PREFIX}/generic ${TCL_SRC_PREFIX}/libtommath)
-  IF(WIN32)
-    SET(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/win)
-  ELSE(WIN32)
-    SET(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/unix)
-  ENDIF(WIN32)
+if(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
+  set(TCL_INCLUDE_DIRS ${TCL_SRC_PREFIX}/generic ${TCL_SRC_PREFIX}/libtommath)
+  if(WIN32)
+    set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/win)
+  else(WIN32)
+    set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/unix)
+  endif(WIN32)
   # Locate the TCL libraries.  We allow these to be overridden so that a parent
   # build can use a CMake target instead of an actual library path.
-  IF(NOT TCL_LIBRARY)
+  if(NOT TCL_LIBRARY)
     find_library(TCL_LIBRARY tcl PATHS ${TCL_BIN_PREFIX}/lib)
-  ENDIF(NOT TCL_LIBRARY)
-  IF(NOT TCL_STUB_LIBRARY)
+  endif(NOT TCL_LIBRARY)
+  if(NOT TCL_STUB_LIBRARY)
     find_library(TCL_STUB_LIBRARY tclstub PATHS ${TCL_BIN_PREFIX}/lib)
-  ENDIF(NOT TCL_STUB_LIBRARY)
-  IF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
-    MESSAGE(FATAL_ERROR "Could not find Tcl libraries in ${TCL_BIN_PREFIX} - please specify the parent directory for the libraries in the TCL_BIN_PREFIX variable (e.g. \${TCL_BIN_PREFIX}/lib)")
-  ENDIF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
-ELSE(TCL_SRC_PREFIX and TCL_BIN_PREFIX)
-  MESSAGE(FATAL_ERROR "Please specify the source and library locations of Tcl using the TCL_SRC_PREFIX and TCL_BIN_PREFIX variables.")
-ENDIF(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
-MARK_AS_ADVANCED(TCL_LIBRARY)
-MARK_AS_ADVANCED(TCL_STUB_LIBRARY)
+  endif(NOT TCL_STUB_LIBRARY)
+  if(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
+    message(FATAL_ERROR "Could not find Tcl libraries in ${TCL_BIN_PREFIX} - please specify the parent directory for the libraries in the TCL_BIN_PREFIX variable (e.g. \${TCL_BIN_PREFIX}/lib)")
+  endif(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY)
+else(TCL_SRC_PREFIX and TCL_BIN_PREFIX)
+  message(FATAL_ERROR "Please specify the source and library locations of Tcl using the TCL_SRC_PREFIX and TCL_BIN_PREFIX variables.")
+endif(TCL_SRC_PREFIX AND TCL_BIN_PREFIX)
+mark_as_advanced(TCL_LIBRARY)
+mark_as_advanced(TCL_STUB_LIBRARY)
 
 # build shared libs by default
 set(BUILD_SHARED_LIBS ON)
@@ -78,16 +78,16 @@
 set(BUILD_STATIC_LIBS ON)
 
 # version numbers
-SET(TK_VERSION_MAJOR 8)
-SET(TK_VERSION_MINOR 5)
-SET(TK_PATCH_LEVEL 8.5.9)
+set(TK_VERSION_MAJOR 8)
+set(TK_VERSION_MINOR 5)
+set(TK_PATCH_LEVEL 8.5.9)
 
-SET(TK_VERSION "${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}")
+set(TK_VERSION "${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}")
 
 # For Windows, we need the Resource Compiler language
-IF(WIN32)
-  ENABLE_LANGUAGE(RC)
-ENDIF(WIN32)
+if(WIN32)
+  enable_language(RC)
+endif(WIN32)
 
 #---------------------------------------------------------------------
 # The following logic is what allows binaries to run successfully in
@@ -95,71 +95,71 @@
 # identifying the necessity of setting CMAKE_INSTALL_NAME_DIR on OSX.
 
 # use, i.e. don't skip the full RPATH for the build tree
-SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+set(CMAKE_SKIP_BUILD_RPATH  FALSE)
 
 # when building, don't use the install RPATH already
 # (but later on when installing)
-SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
 # the RPATH/INSTALL_NAME_DIR to be used when installing
 if (NOT APPLE)
-  SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
+  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
 endif(NOT APPLE)
-SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 
 # add the automatically determined parts of the RPATH which point to
 # directories outside the build tree to the install RPATH
-SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 #----------------------------------------------------------------------------
 # The location in which to install Tcl.  Only do this if CMAKE_INSTALL_PREFIX 
 # hasn't been set already, to try and allow parent builds (if any) some control.
-IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-  IF(NOT WIN32)
-    IF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
-    ELSE ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr")
-    ENDIF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-  ENDIF(NOT WIN32)
-  SET(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
-  SET(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
-ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+  if(NOT WIN32)
+    if ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
+    else ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr")
+    endif ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+  endif(NOT WIN32)
+  set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
+  set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
+endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 #-----------------------------------------------------------------------------
 # Output directories.
 
-IF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
-ENDIF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-  SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
-ENDIF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
-  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
-ENDIF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
+endif(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
+endif(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
+endif(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
 
 #-----------------------------------------------------------------------------
 # Set CMake module path
-SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${TK_SOURCE_DIR}/CMake")
+set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${TK_SOURCE_DIR}/CMake")
 
 #-----------------------------------------------------------------------------
 # Check if the compiler supports pipe - if so, use it
-INCLUDE(CheckCCompilerFlag)
-CHECK_C_COMPILER_FLAG(-pipe PIPE_COMPILER_FLAG)
-IF(PIPE_COMPILER_FLAG)
-  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pipe")
-ENDIF(PIPE_COMPILER_FLAG)
+include(CheckCCompilerFlag)
+check_c_compiler_flag(-pipe PIPE_COMPILER_FLAG)
+if(PIPE_COMPILER_FLAG)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pipe")
+endif(PIPE_COMPILER_FLAG)
 
 #-----------------------------------------------------------------------------
 # Tcl/Tk's normal build system uses autotools macros, referred to as the
 # TEA system.  An attempt to duplicate the required functionality from
 # TEA is found in tcl.cmake
-INCLUDE(${TK_SOURCE_DIR}/CMake/tcl.cmake)
+include(${TK_SOURCE_DIR}/CMake/tcl.cmake)
 
 #-----------------------------------------------------------------------------
 # Our replacement for SC_CONFIG_MANPAGES
-ADD_SUBDIRECTORY(doc)
+add_subdirectory(doc)
 
 #----------------------------------------------------------------------------
 # First, get some standard options out of the way - things that are constant
@@ -175,65 +175,65 @@
 
 # First, get some standard settings out of the way
 # Assume we have STDC_HEADERS until we meet a situation where we don't
-ADD_TCL_CFLAG(STDC_HEADERS)
+add_tcl_cflag(STDC_HEADERS)
 # Get the SHLIB extension from CMake
 add_definitions(-DTCL_SHLIB_EXT="${CMAKE_SHARED_LIBRARY_SUFFIX}")
 
 #----------------------------------------------------------------------------
 # Define some platform specific flags
 
-IF(WIN32)
+if(WIN32)
   add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -Ot -Oi -fp:strict -Gs -GS -GL -MD -DBUILD_tk -BUILD_ttk -DSUPPORT_CONFIG_EMBEDDED -DHAVE_UXTHEME_H=1)
-ENDIF(WIN32)
+endif(WIN32)
 
-IF(APPLE)
+if(APPLE)
   add_definitions(-DMAC_OSX_TCL=1)
-  INCLUDE(CMakeFindFrameworks)
-  CMAKE_FIND_FRAMEWORKS(CoreFoundation)
-  IF(CoreFoundation_FRAMEWORKS)
-    SET(CoreFoundation_LIBRARIES "-framework CoreFoundation")
+  include(CMakeFindFrameworks)
+  cmake_find_frameworks(CoreFoundation)
+  if(CoreFoundation_FRAMEWORKS)
+    set(CoreFoundation_LIBRARIES "-framework CoreFoundation")
     add_definitions(-DHAVE_COREFOUNDATION=1)	 
-  ENDIF(CoreFoundation_FRAMEWORKS)
-  CMAKE_FIND_FRAMEWORKS(IOKit)
-  IF(IOKit_FRAMEWORKS)
-    SET(IOKit_LIBRARIES "-framework IOKit")
+  endif(CoreFoundation_FRAMEWORKS)
+  cmake_find_frameworks(IOKit)
+  if(IOKit_FRAMEWORKS)
+    set(IOKit_LIBRARIES "-framework IOKit")
     add_definitions(-DHAVE_COREFOUNDATION=1)	 
-  ENDIF(IOKit_FRAMEWORKS)
-ENDIF(APPLE)
+  endif(IOKit_FRAMEWORKS)
+endif(APPLE)
 #----------------------------------------------------------------------------
 
 #------------------------------------------------------------------------
 # Threads support
 #------------------------------------------------------------------------
-SC_ENABLE_THREADS()
+sc_enable_threads()
 
 #------------------------------------------------------------------------
 # Call the LINK_LIBS macro to get M_LIBRARY properly defined (TEA
 # doesn't do this, needs looking into...)
 #------------------------------------------------------------------------
-SC_TCL_LINK_LIBS()
+sc_tcl_link_libs()
 
 #----------------------------------------------------------------------------
 # 64-bit support - unlike TEA, we enable by default if the platform looks
 # like it's 64-bit.  Can be overridden by specifying CMAKE_WORD_SIZE=32BIT
 #----------------------------------------------------------------------------
-SC_TCL_64BIT_FLAGS()
+sc_tcl_64bit_flags()
 
 #--------------------------------------------------------------------
 #       Check endianness because we can optimize some operations
 #--------------------------------------------------------------------
-IF(NOT MSVC)
-  INCLUDE(TestBigEndian)
-  TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
-  IF(WORDS_BIGENDIAN)
+if(NOT MSVC)
+  include(TestBigEndian)
+  test_big_endian(WORDS_BIGENDIAN)
+  if(WORDS_BIGENDIAN)
     add_definitions(-DWORDS_BIGENDIAN=1)
-  ENDIF(WORDS_BIGENDIAN)
-ENDIF(NOT MSVC)
+  endif(WORDS_BIGENDIAN)
+endif(NOT MSVC)
 
 #------------------------------------------------------------------------------
 #       Find out all about time handling differences.
 #------------------------------------------------------------------------------
-SC_TIME_HANDLER()
+sc_time_handler()
 
 #TODO SC_BUGGY_STRTOD - Solaris 2.4 only?  Do we still care?
 
@@ -241,21 +241,21 @@
 #       Check for various typedefs and provide substitutes if
 #       they don't exist.
 #--------------------------------------------------------------------
-TCL_CHECK_TYPE_SIZE(mode_t MODE)
-TCL_CHECK_TYPE_SIZE(pid_t PID)
-TCL_CHECK_TYPE_SIZE(size_t SIZE)
-TCL_CHECK_TYPE_SIZE(uid_t UID)
+tcl_check_type_size(mode_t MODE)
+tcl_check_type_size(pid_t PID)
+tcl_check_type_size(size_t SIZE)
+tcl_check_type_size(uid_t UID)
 # The following tests may need to be more elaborate to function properly
-TCL_CHECK_TYPE_SIZE(socklen_t SOCKLEN sys/types.h sys/socket.h)
-TCL_CHECK_TYPE_SIZE(intptr_t INTPTR)
-TCL_CHECK_TYPE_SIZE(uintptr_t UINTPTR)
+tcl_check_type_size(socklen_t SOCKLEN sys/types.h sys/socket.h)
+tcl_check_type_size(intptr_t INTPTR)
+tcl_check_type_size(uintptr_t UINTPTR)
 
-IF(NOT HAVE_OPENDIR)
-  ADD_TCL_CFLAG(USE_DIRENT2_H)
-ENDIF(NOT HAVE_OPENDIR)
+if(NOT HAVE_OPENDIR)
+  add_tcl_cflag(USE_DIRENT2_H)
+endif(NOT HAVE_OPENDIR)
 
 # The union wait test was for HP-UX - do we still need this?
-SET(UNION_WAIT_SRC "
+set(UNION_WAIT_SRC "
 #include <sys/types.h>
 #include <sys/wait.h>
 int
@@ -263,15 +263,15 @@
 {
 
 union wait x;
-WIFEXITED(x);           /* Generates compiler error if WIFEXITED
+wifexited(x);           /* Generates compiler error if WIFEXITED
                          * uses an int. */
 return 0;
 }
 ")
-CHECK_C_SOURCE_RUNS("${UNION_WAIT_SRC}" HAVE_UNION_WAIT)
-IF(NOT HAVE_UNION_WAIT)
-  ADD_TCL_CFLAG(NO_UNION_WAIT)
-ENDIF(NOT HAVE_UNION_WAIT)
+check_c_source_runs("${UNION_WAIT_SRC}" HAVE_UNION_WAIT)
+if(NOT HAVE_UNION_WAIT)
+  add_tcl_cflag(NO_UNION_WAIT)
+endif(NOT HAVE_UNION_WAIT)
 
 #--------------------------------------------------------------------
 #       On Mac OS X, we can build either with X11 or with Aqua
@@ -280,57 +280,57 @@
 #       We support enabling only the new Cocoa backend, not the 
 #       older Carbon code
 #--------------------------------------------------------------------
-IF(NOT WIN32)
-  IF(APPLE)
-    OPTION(TK_ENABLE_AQUA "Build Tk using the Aqua windowing system" OFF)
-    IF(TK_ENABLE_AQUA)
-      SET(TK_SYSTEM_GRAPHICS aqua)
+if(NOT WIN32)
+  if(APPLE)
+    option(TK_ENABLE_AQUA "Build Tk using the Aqua windowing system" OFF)
+    if(TK_ENABLE_AQUA)
+      set(TK_SYSTEM_GRAPHICS aqua)
       add_definitions(-DMAC_OSX_TK=1)
       add_definitions(-D_DARWIN_C_SOURCE=1)
-      SET(X11_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/xlib")
+      set(X11_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/xlib")
       find_library(COCOA_FRAMEWORK Cocoa)	
-      MARK_AS_ADVANCED(COCOA_FRAMEWORK)
+      mark_as_advanced(COCOA_FRAMEWORK)
       find_library(CARBON_FRAMEWORK Carbon)
-      MARK_AS_ADVANCED(CARBON_FRAMEWORK)
-      SET(OPENGL_USE_AQUA ON CACHE BOOL "Building Aqua Tk" FORCE)
-    ELSE(TK_ENABLE_AQUA)
+      mark_as_advanced(CARBON_FRAMEWORK)
+      set(OPENGL_USE_AQUA ON CACHE BOOL "Building Aqua Tk" FORCE)
+    else(TK_ENABLE_AQUA)
       find_package(X11)
-      SET(TK_SYSTEM_GRAPHICS x11)
-      SET(OPENGL_USE_AQUA OFF CACHE BOOL "Building X11 Tk" FORCE)
-    ENDIF(TK_ENABLE_AQUA)
-  ELSE(APPLE)
+      set(TK_SYSTEM_GRAPHICS x11)
+      set(OPENGL_USE_AQUA OFF CACHE BOOL "Building X11 Tk" FORCE)
+    endif(TK_ENABLE_AQUA)
+  else(APPLE)
     find_package(X11)
-    SET(TK_SYSTEM_GRAPHICS x11)
-  ENDIF(APPLE)
-ELSE(NOT WIN32)
-  SET(TK_SYSTEM_GRAPHICS win32)
-ENDIF(NOT WIN32)
+    set(TK_SYSTEM_GRAPHICS x11)
+  endif(APPLE)
+else(NOT WIN32)
+  set(TK_SYSTEM_GRAPHICS win32)
+endif(NOT WIN32)
 
 #--------------------------------------------------------------------
 # Check whether the header and library for the XScreenSaver
 # extension are available, and set HAVE_XSS if so.
 # XScreenSaver is needed for Tk_GetUserInactiveTime().
 #--------------------------------------------------------------------
-INCLUDE(CMakeDependentOption)
-CMAKE_DEPENDENT_OPTION(TK_ENABLE_XSS "Use XScreenSaver" ON "TK_SYSTEM_GRAPHICS STREQUAL x11;${X11_Xscreensaver_LIB}" OFF)
+include(CMakeDependentOption)
+cmake_dependent_option(TK_ENABLE_XSS "Use XScreenSaver" ON "TK_SYSTEM_GRAPHICS STREQUAL x11;${X11_Xscreensaver_LIB}" OFF)
 
 #--------------------------------------------------------------------
 #       Check for freetype / fontconfig / Xft support.
 #--------------------------------------------------------------------
-IF(NOT WIN32)
+if(NOT WIN32)
   find_package(Freetype)
   find_package(Fontconfig)
-  IF(NOT FREETYPE_FOUND)
-    SET(FREETYPE_LIBRARIES "")
-  ENDIF(NOT FREETYPE_FOUND)
-ENDIF(NOT WIN32)
-CMAKE_DEPENDENT_OPTION(TK_ENABLE_XFT "Use freetype/fontconfig/xft" ON "TK_SYSTEM_GRAPHICS STREQUAL x11;FREETYPE_FOUND;FONTCONFIG_FOUND;X11_Xft_FOUND" OFF)
+  if(NOT FREETYPE_FOUND)
+    set(FREETYPE_LIBRARIES "")
+  endif(NOT FREETYPE_FOUND)
+endif(NOT WIN32)
+cmake_dependent_option(TK_ENABLE_XFT "Use freetype/fontconfig/xft" ON "TK_SYSTEM_GRAPHICS STREQUAL x11;FREETYPE_FOUND;FONTCONFIG_FOUND;X11_Xft_FOUND" OFF)
 
 #----------------------------------------------------------------------------
 # signed/unsigned char - does the Tcl code still need this? See
 # http://lists.gnu.org/archive/html/autoconf/2008-06/msg00054.html
 #----------------------------------------------------------------------------
-SET(unsigned_char_srcs "
+set(unsigned_char_srcs "
 int
 main ()
 {
@@ -339,11 +339,11 @@
    return 0;
 }
 ")
-CHECK_C_SOURCE_RUNS("${unsigned_char_srcs}" CHAR_IS_UNSIGNED)
-IF(CHAR_IS_UNSIGNED)
-  ADD_TCL_CFLAG(__CHAR_UNSIGNED__)
-ENDIF(CHAR_IS_UNSIGNED)
-SET(signed_char_srcs "
+check_c_source_runs("${unsigned_char_srcs}" CHAR_IS_UNSIGNED)
+if(CHAR_IS_UNSIGNED)
+  add_tcl_cflag(__CHAR_UNSIGNED__)
+endif(CHAR_IS_UNSIGNED)
+set(signed_char_srcs "
 int
 main ()
 {
@@ -352,41 +352,41 @@
    return 0;
 }
 ")
-CHECK_C_SOURCE_COMPILES("${signed_char_srcs}" HAVE_SIGNED_CHAR)
-IF(HAVE_SIGNED_CHAR)
-  ADD_TCL_CFLAG(HAVE_SIGNED_CHAR)
-ENDIF(HAVE_SIGNED_CHAR)
+check_c_source_compiles("${signed_char_srcs}" HAVE_SIGNED_CHAR)
+if(HAVE_SIGNED_CHAR)
+  add_tcl_cflag(HAVE_SIGNED_CHAR)
+endif(HAVE_SIGNED_CHAR)
 
 
 
-TCL_CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
-TCL_CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-TCL_CHECK_INCLUDE_FILE(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
-IF(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(sys/types.h HAVE_SYS_TYPES_H)
+tcl_check_include_file(sys/stat.h HAVE_SYS_STAT_H)
+tcl_check_include_file(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
+if(NOT HAVE_SYS_FSTATFS_H)
   add_definitions(-DNO_FSTATFS=1)
-ENDIF(NOT HAVE_SYS_FSTATFS_H)
-TCL_CHECK_INCLUDE_FILE(memory.h HAVE_MEMORY_H)
-TCL_CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-TCL_CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
-TCL_CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
-TCL_CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
+endif(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(memory.h HAVE_MEMORY_H)
+tcl_check_include_file(strings.h HAVE_STRINGS_H)
+tcl_check_include_file(inttypes.h HAVE_INTTYPES_H)
+tcl_check_include_file(stdint.h HAVE_STDINT_H)
+tcl_check_include_file(unistd.h HAVE_UNISTD_H)
 
-IF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
-  TCL_CHECK_FUNCTION_EXISTS(getattrlist HAVE_GETATTRLIST)
-  TCL_CHECK_INCLUDE_FILE(copyfile.h HAVE_COPYFILE_H)
-  TCL_CHECK_FUNCTION_EXISTS(copyfile HAVE_COPYFILE)
-  IF(${CoreFoundation_LIBRARIES})
-    TCL_CHECK_INCLUDE_FILE(libkern/OSAtomic.h HAVE_LIBKERN_OSATOMIC_H)
-    TCL_CHECK_FUNCTION_EXISTS(OSSpinLockLock HAVE_OSSPINLOCKLOCK)
-    TCL_CHECK_FUNCTION_EXISTS(pthread_atfork HAVE_PTHREAD_ATFORK)
-  ENDIF(${CoreFoundation_LIBRARIES})
-  ADD_TCL_CFLAG(USE_VFORK)
+if(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+  tcl_check_function_exists(getattrlist HAVE_GETATTRLIST)
+  tcl_check_include_file(copyfile.h HAVE_COPYFILE_H)
+  tcl_check_function_exists(copyfile HAVE_COPYFILE)
+  if(${CoreFoundation_LIBRARIES})
+    tcl_check_include_file(libkern/OSAtomic.h HAVE_LIBKERN_OSATOMIC_H)
+    tcl_check_function_exists(OSSpinLockLock HAVE_OSSPINLOCKLOCK)
+    tcl_check_function_exists(pthread_atfork HAVE_PTHREAD_ATFORK)
+  endif(${CoreFoundation_LIBRARIES})
+  add_tcl_cflag(USE_VFORK)
   add_definitions(-DTCL_DEFAULT_ENCODING="utf-8")
-  ADD_TCL_CFLAG(TCL_LOAD_FROM_MEMORY)
-  ADD_TCL_CFLAG(TCL_WIDE_CLICKS)
-  TCL_CHECK_INCLUDE_FILE_USABILITY(AvailabilityMacros.h HAVE_AVAILABILITYMACROS_H)
-  IF(HAVE_AVAILABILITYMACROS_H)
-    SET(WEAK_IMPORT_SRCS "
+  add_tcl_cflag(TCL_LOAD_FROM_MEMORY)
+  add_tcl_cflag(TCL_WIDE_CLICKS)
+  tcl_check_include_file_usability(AvailabilityMacros.h HAVE_AVAILABILITYMACROS_H)
+  if(HAVE_AVAILABILITYMACROS_H)
+    set(WEAK_IMPORT_SRCS "
 #ifdef __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__
 #if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1020
 #error __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1020
@@ -400,11 +400,11 @@
 return 0;
 }
 		")
-    CHECK_C_SOURCE_COMPILES("${WEAK_IMPORT_SRCS}" WEAK_IMPORT_WORKING)
-    IF(WEAK_IMPORT_WORKING)
-      ADD_TCL_CFLAG(HAVE_WEAK_IMPORT)
-    ENDIF(WEAK_IMPORT_WORKING)
-    SET(SUSV3_SRCS "
+    check_c_source_compiles("${WEAK_IMPORT_SRCS}" WEAK_IMPORT_WORKING)
+    if(WEAK_IMPORT_WORKING)
+      add_tcl_cflag(HAVE_WEAK_IMPORT)
+    endif(WEAK_IMPORT_WORKING)
+    set(SUSV3_SRCS "
 #ifdef __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__
 #if __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1050
 #error __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < 1050
@@ -417,17 +417,17 @@
 
 int main ()	{return 0;}
 		")
-    CHECK_C_SOURCE_COMPILES("${SUSV3_SRCS}" SUSV3_WORKING)
-    IF(SUSV3_WORKING)
-      ADD_TCL_CFLAG(_DARWIN_C_SOURCE)
-    ENDIF(SUSV3_WORKING)
+    check_c_source_compiles("${SUSV3_SRCS}" SUSV3_WORKING)
+    if(SUSV3_WORKING)
+      add_tcl_cflag(_DARWIN_C_SOURCE)
+    endif(SUSV3_WORKING)
 
-  ENDIF(HAVE_AVAILABILITYMACROS_H)
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
+  endif(HAVE_AVAILABILITYMACROS_H)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "^Darwin$")
 
-ADD_SUBDIRECTORY(library)
+add_subdirectory(library)
 
-SET(TK_GENERIC_SRCS
+set(TK_GENERIC_SRCS
   generic/tk3d.c
   generic/tkArgv.c
   generic/tkAtom.c
@@ -499,13 +499,13 @@
   generic/tkWindow.c
   )
 
-SET(TK_HDRS
+set(TK_HDRS
   generic/tk.h
   generic/tkDecls.h
   generic/tkPlatDecls.h
   )
 
-SET(TTK_SRCS
+set(TTK_SRCS
   generic/ttk/ttkBlink.c
   generic/ttk/ttkButton.c
   generic/ttk/ttkCache.c
@@ -539,17 +539,17 @@
   generic/ttk/ttkWidget.c
   )
 
-SET(TK_STUB_SRCS
+set(TK_STUB_SRCS
   generic/tkStubInit.c
   generic/tkStubLib.c
   )
 
-SET(TTK_STUB_SRCS
+set(TTK_STUB_SRCS
   generic/ttk/ttkStubInit.c
   generic/ttk/ttkStubLib.c
   )
 
-SET(TK_X11_SRCS
+set(TK_X11_SRCS
   unix/tkUnix.c
   unix/tkUnix3d.c
   unix/tkUnixButton.c
@@ -572,13 +572,13 @@
   unix/tkUnixXId.c
   )
 
-IF(TK_ENABLE_XFT)
-  SET(TK_X11_SRCS ${TK_X11_SRCS} unix/tkUnixRFont.c)
-ELSE(TK_ENABLE_XFT)
-  SET(TK_X11_SRCS ${TK_X11_SRCS} unix/tkUnixFont.c)
-ENDIF(TK_ENABLE_XFT)
+if(TK_ENABLE_XFT)
+  set(TK_X11_SRCS ${TK_X11_SRCS} unix/tkUnixRFont.c)
+else(TK_ENABLE_XFT)
+  set(TK_X11_SRCS ${TK_X11_SRCS} unix/tkUnixFont.c)
+endif(TK_ENABLE_XFT)
 
-SET(TK_AQUA_SRCS
+set(TK_AQUA_SRCS
   macosx/tkMacOSXBitmap.c
   macosx/tkMacOSXButton.c
   macosx/tkMacOSXClipboard.c
@@ -623,7 +623,7 @@
   generic/ttk/ttkMacOSXTheme.c
   )
 
-SET(TK_WIN_SRCS
+set(TK_WIN_SRCS
   xlib/xcolors.c
   xlib/xdraw.c
   xlib/xgc.c
@@ -667,49 +667,49 @@
   win/ttkWinXPTheme.c
   )
 
-SET(TK_SRCS ${TK_GENERIC_SRCS} ${TTK_SRCS})
+set(TK_SRCS ${TK_GENERIC_SRCS} ${TTK_SRCS})
 
-IF(WIN32)
-  SET(TK_SRCS ${TK_SRCS} ${TK_WIN_SRCS})
-ELSE(WIN32)
-  IF(TK_ENABLE_AQUA)
-    SET(TK_SRCS ${TK_SRCS} ${TK_AQUA_SRCS})
-  ELSE(TK_ENABLE_AQUA)
-    SET(TK_SRCS ${TK_SRCS} ${TK_X11_SRCS})
-  ENDIF(TK_ENABLE_AQUA)
-ENDIF(WIN32)
+if(WIN32)
+  set(TK_SRCS ${TK_SRCS} ${TK_WIN_SRCS})
+else(WIN32)
+  if(TK_ENABLE_AQUA)
+    set(TK_SRCS ${TK_SRCS} ${TK_AQUA_SRCS})
+  else(TK_ENABLE_AQUA)
+    set(TK_SRCS ${TK_SRCS} ${TK_X11_SRCS})
+  endif(TK_ENABLE_AQUA)
+endif(WIN32)
 
-SET(TK_INCLUDE_PATH ${TK_SOURCE_DIR}/generic ${TK_SOURCE_DIR}/bitmaps ${TK_BINARY_DIR}/include)
-IF(WIN32)
-  SET(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SOURCE_DIR}/win ${TK_SOURCE_DIR}/xlib ${TK_SOURCE_DIR}/xlib/X11)
-ELSE(WIN32)
-  SET(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SOURCE_DIR}/unix)
-  IF(APPLE)
-    SET(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SOURCE_DIR}/macosx)
-    IF(TK_ENABLE_AQUA)
-      SET(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${X11_INCLUDE_DIR})
-    ENDIF(TK_ENABLE_AQUA)
-  ENDIF(APPLE)
-ENDIF(WIN32)
+set(TK_INCLUDE_PATH ${TK_SOURCE_DIR}/generic ${TK_SOURCE_DIR}/bitmaps ${TK_BINARY_DIR}/include)
+if(WIN32)
+  set(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SOURCE_DIR}/win ${TK_SOURCE_DIR}/xlib ${TK_SOURCE_DIR}/xlib/X11)
+else(WIN32)
+  set(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SOURCE_DIR}/unix)
+  if(APPLE)
+    set(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SOURCE_DIR}/macosx)
+    if(TK_ENABLE_AQUA)
+      set(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${X11_INCLUDE_DIR})
+    endif(TK_ENABLE_AQUA)
+  endif(APPLE)
+endif(WIN32)
 
-IF(NOT WIN32)
-  SET(WISH_SRCS unix/tkAppInit.c)
-ELSE(NOT WIN32)
-  SET(WISH_SRCS win/winMain.c)# win/rc/wish.rc)
-ENDIF(NOT WIN32)
+if(NOT WIN32)
+  set(WISH_SRCS unix/tkAppInit.c)
+else(NOT WIN32)
+  set(WISH_SRCS win/winMain.c)# win/rc/wish.rc)
+endif(NOT WIN32)
 
-IF(X11_INCLUDE_DIR)
-  SET(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_INCLUDE_DIR})
-ENDIF(X11_INCLUDE_DIR)
-IF(X11_Xft_INCLUDE_PATH)
-  SET(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_Xft_INCLUDE_PATH})
-ENDIF(X11_Xft_INCLUDE_PATH)
-IF(X11_Xrender_INCLUDE_PATH)
-  SET(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_Xrender_INCLUDE_PATH})
-ENDIF(X11_Xrender_INCLUDE_PATH)
-IF(X11_Xscreensaver_INCLUDE_PATH)
-  SET(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_Xscreensaver_INCLUDE_PATH})
-ENDIF(X11_Xscreensaver_INCLUDE_PATH)
+if(X11_INCLUDE_DIR)
+  set(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_INCLUDE_DIR})
+endif(X11_INCLUDE_DIR)
+if(X11_Xft_INCLUDE_PATH)
+  set(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_Xft_INCLUDE_PATH})
+endif(X11_Xft_INCLUDE_PATH)
+if(X11_Xrender_INCLUDE_PATH)
+  set(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_Xrender_INCLUDE_PATH})
+endif(X11_Xrender_INCLUDE_PATH)
+if(X11_Xscreensaver_INCLUDE_PATH)
+  set(TK_X11_INCLUDE_DIRS ${TK_X11_INCLUDE_DIRS} ${X11_Xscreensaver_INCLUDE_PATH})
+endif(X11_Xscreensaver_INCLUDE_PATH)
 
 include_directories(
   ${TCL_INCLUDE_DIRS}	
